Name:           bieaz
Version:        0.3.3
Release:        1%{?dist}
Summary:        boot environment manager
License:        GPLv3+
URL:            https://gitlab.com/m_zhou/%{name}
BuildArch:      noarch
Requires:       gawk coreutils sed grep bash
BuildRequires:	make

%description
bieaz is a boot environment manager for Linux Root on ZFS installations.

%prep
curl -O %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz
tar xf %{name}-%{version}.tar.gz

%build

%install
cd %{name}-%{version}
sed -i "s|grub-mkconfig|grub2-mkconfig|g" bieaz.cfg
sed -i "s|/boot/grub|/boot/grub2|g"       bieaz.cfg
sed -i 's|/EFI/${ID}/grub|/EFI/${ID}|g'   bieaz.cfg
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/grub.d/
mkdir -p %{buildroot}%{_docdir}/bieaz
%make_install
install -p -m 755 bieaz     %{buildroot}%{_bindir}
install -p -m 755 42_bieaz  %{buildroot}%{_sysconfdir}/grub.d/
install -p -m 644 bieaz.cfg %{buildroot}%{_sysconfdir}

%files
%{_bindir}/bieaz
%config(noreplace) %{_sysconfdir}/bieaz.cfg
%{_sysconfdir}/grub.d/42_bieaz
%doc %{_docdir}/bieaz/README.md
%changelog
